#
# $Id: Makefile 53280 2008-07-30 09:29:34Z dave $
#
include ./premake.mk

CFLAGS =
LDFLAGS =

DIRS =
OBJS = 	ar.o \
		autolock.o \
		buffer.o \
		clientsocket.o \
		commonsocket.o \
		endpoint.o \
		ffpoll.o \
		ffsock.o \
		ffsys.o \
		socket.o \
		selectthread.o \
		netmng.o \
		pike.o \
		ffclient.o \
		netclient.o

debug:$(OBJS)
	#$(AR) $(ARFLAGS) $(FFLIBDIR)/libffnetd.a $(OBJS)
	$(CPP) -m32 -fPIC -shared -o $(FFLIBDIR)/libffnetd.so $(OBJS)

release:$(OBJS)
	#$(AR) $(ARFLAGS) $(FFLIBDIR)/libffnet.a $(OBJS)
	$(CPP) -m32 -fPIC -shared -o $(FFLIBDIR)/libffnetd.so $(OBJS)
	
all:debug

clean:
	$(RM) -rf *.o *.a

### Dependencies
